<!DOCTYPE html>
<html lang="en">
  <head>
    <title><%= meta_title(assigns) %></title>

    <meta name="description" content="<%= meta_description(assigns) %>">
    <meta name="author" content="<%= meta_author(assigns) %>">
    <%# <meta name="role" content="Software Developer"> %>
    <meta name="generator" content="<%= meta_generator(assigns) %>">
    <%# <meta name="theme" content="hugo-academic"> %>

    <meta itemprop="name" content="<%= meta_title(assigns) %>">
    <meta itemprop="description" content="<%= meta_description(assigns) %>">

    <meta property="og:title" content="<%= meta_title(assigns) %>">
    <meta property="og:description" content="<%= meta_description(assigns) %>">
    <meta property="og:type" content="website">
    <meta property="og:url" content="<%= meta_url(assigns) %>">
    <meta property="og:updated_time" content="<%= meta_updated_time(assigns) %>">

    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">


    <link rel="stylesheet" href="<%= Routes.static_path(@conn, "/css/app.css") %>"/>
  </head>
  <body>
    <header>
      <section class="container">
        <nav role="navigation">
          <ul>
            <%= if @current_user do %>
              <%= link "Logout", to: Routes.pow_session_path(@conn, :delete), method: :delete %>
            <% else %>
              <%= link "Register", to: Routes.pow_registration_path(@conn, :new), method: :get %>
              <%= link "Login", to: Routes.pow_session_path(@conn, :new), method: :get %>
            <% end %>
          </ul>
        </nav>
        <a href="/" class="phx-logo">
          <img src="<%= Routes.static_path(@conn, "/images/phoenix.png") %>" alt="Phoenix Framework Logo"/>
        </a>
      </section>
    </header>
    <main role="main" class="container">
      <p class="alert alert-info" role="alert"><%= get_flash(@conn, :info) %></p>
      <p class="alert alert-danger" role="alert"><%= get_flash(@conn, :error) %></p>
      <%= render @view_module, @view_template, assigns %>
    </main>
    <script type="text/javascript" src="<%= Routes.static_path(@conn, "/js/app.js") %>"></script>
  </body>
</html>
